FABS(3)

NAME
fabs, fabsf, fabsl - absolute value of floating-point number

SYNOPSIS
#include <math.h>

double fabs(double x);
float fabsf(float x);
long double fabsl(long double x);

Link with -lm.

DESCRIPTION
The fabs() functions return the absolute value of the floating-point number x.

ERRORS
No errors can occur.

CONFORMING TO
The fabs() function conforms to SVr4, POSIX.1-2001, 4.3BSD, C89. The other functions are from C99.

SEE ALSO
abs(3), ceil(3), cabs(3), floor(3), labs(3), rint(3)